AGPoolProp (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.pool, enum: AGPoolProp

Package com.franz.agraph.pool

# Enum Class AGPoolProp

java.lang.Object
java.lang.Enum<AGPoolProp>
com.franz.agraph.pool.AGPoolProp

All Implemented Interfaces:
  `Serializable`, `Comparable<AGPoolProp>`, `Constable`

public enum AGPoolProp extends Enum<AGPoolProp>
Property names for `AGPoolConfig`.

Property names to open a `AGRepositoryConnection`.

TODO: `AGRepositoryConnection.setSessionLoadInitFile(boolean)`

TODO: `AGRepositoryConnection.addSessionLoadScript(String)`

Many of these properties are specified and used by `GenericObjectPool`.

See Also:
  - `GenericObjectPool`
  - `GenericObjectPoolConfig`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `initialSize`
  When the pool is created, this many connections will be initialized, then returned to the pool.
  `lifo`
  Boolean property, true means LIFO and false means FIFO retrieval of objects from pool
  `maxActive`
  Max number of connections that can be allocated by the pool.
  `maxIdle`
  `maxWait`
  milliseconds to wait to borrow before throwing `NoSuchElementException`
  `minEvictableIdleTimeMillis`
  `minIdle`
  `numTestsPerEvictionRun`
  `shutdownHook`
  When the pool is created, if this is true (default is false), a hook will be registered to close the pool.
  `softMinEvictableIdleTimeMillis`
  `testOnBorrow`
  Calls `AGRepositoryConnection.size(org.eclipse.rdf4j.model.Resource...)`.
  `testOnReturn`
  Calls `AGRepositoryConnection.size(org.eclipse.rdf4j.model.Resource...)`.
  `testWhileIdle`
  `timeBetweenEvictionRunsMillis`
  `warmup`
  Boolean property, if true warmup is executed during pool creation.
  `warmupIncludeStrings`
  Boolean property, set to false to exclude the string table from a warmup
  `warmupIncludeTriples`
  Boolean property, set to false to exclude triple indices from a warmup

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AGPoolProp`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AGPoolProp[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### initialSize

    public static final AGPoolProp initialSize
    When the pool is created, this many connections will be initialized, then returned to the pool.
    See Also:
      - `AGPoolConfig.initialSize`

  - ### shutdownHook

    public static final AGPoolProp shutdownHook
    When the pool is created, if this is true (default is false), a hook will be registered to close the pool. Connections will be closed whether idle or not.

    When the pool is closed, from outside of the hook, the hook will be `removed` so it is not leaked in the list of hooks.

    See Also:
      - `AGPoolConfig.shutdownHook`
      - `Runtime.addShutdownHook(Thread)`

  - ### minIdle

    public static final AGPoolProp minIdle
    See Also:
      - `GenericObjectPool.setMinIdle(int)`

  - ### maxIdle

    public static final AGPoolProp maxIdle
    See Also:
      - `GenericObjectPool.setMaxIdle(int)`

  - ### maxActive

    public static final AGPoolProp maxActive
    Max number of connections that can be allocated by the pool. If multiple clients (or different pools), are using the same AllegroGraph Server, this value should be set to something less than the SessionPorts. See Session Port Setup.
    See Also:
      - `BaseGenericObjectPool.setMaxTotal(int)`

  - ### maxWait

    public static final AGPoolProp maxWait
    milliseconds to wait to borrow before throwing `NoSuchElementException`
    See Also:
      - `BaseGenericObjectPool.setMaxWaitMillis(long)`

  - ### testOnBorrow

    public static final AGPoolProp testOnBorrow
    Calls `AGRepositoryConnection.size(org.eclipse.rdf4j.model.Resource...)`.

    Redundant because `AGConnFactory.activateObject(PooledObject)` always calls `AGRepositoryConnection.rollback()`.

    See Also:
      - `BaseGenericObjectPool.setTestOnBorrow(boolean)`
      - `AGConnFactory.validateObject(PooledObject)`

  - ### testOnReturn

    public static final AGPoolProp testOnReturn
    Calls `AGRepositoryConnection.size(org.eclipse.rdf4j.model.Resource...)`.
    See Also:
      - `BaseGenericObjectPool.setTestOnReturn(boolean)`
      - `AGConnFactory.validateObject(PooledObject)`

  - ### timeBetweenEvictionRunsMillis

    public static final AGPoolProp timeBetweenEvictionRunsMillis
    See Also:
      - `BaseGenericObjectPool.setTimeBetweenEvictionRunsMillis(long)`

  - ### minEvictableIdleTimeMillis

    public static final AGPoolProp minEvictableIdleTimeMillis
    See Also:
      - `BaseGenericObjectPool.setMinEvictableIdleTimeMillis(long)`

  - ### testWhileIdle

    public static final AGPoolProp testWhileIdle
    See Also:
      - `BaseGenericObjectPool.setTestWhileIdle(boolean)`

  - ### softMinEvictableIdleTimeMillis

    public static final AGPoolProp softMinEvictableIdleTimeMillis
    See Also:
      - `BaseGenericObjectPool.setSoftMinEvictableIdleTimeMillis(long)`

  - ### numTestsPerEvictionRun

    public static final AGPoolProp numTestsPerEvictionRun
    See Also:
      - `BaseGenericObjectPool.setNumTestsPerEvictionRun(int)`

  - ### warmup

    public static final AGPoolProp warmup
    Boolean property, if true warmup is executed during pool creation.

  - ### warmupIncludeStrings

    public static final AGPoolProp warmupIncludeStrings
    Boolean property, set to false to exclude the string table from a warmup

  - ### warmupIncludeTriples

    public static final AGPoolProp warmupIncludeTriples
    Boolean property, set to false to exclude triple indices from a warmup

  - ### lifo

    public static final AGPoolProp lifo
    Boolean property, true means LIFO and false means FIFO retrieval of objects from pool

- ## Method Details

  - ### values

    public static AGPoolProp[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AGPoolProp valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null